<?
//Автор: Алексей & TeaM ICQ 95-95-466
//Скрипт: VKRUGUKENTOV.ru
//Копирование,продажа,перепродажа без согласия автора строго запрещена и будет караться плачевными последствиями
//Соблюдайте авторские права
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
only_reg(); 
$set['title']='Свежая почта';
include_once 'sys/inc/thead.php';
title();

$k_post=mysql_result(mysql_query("SELECT COUNT(DISTINCT `mail`.`id_user`) FROM `mail`
 LEFT JOIN `users_konts` ON `mail`.`id_user` = `users_konts`.`id_kont` AND `users_konts`.`id_user` = '$user[id]'
 WHERE `mail`.`id_kont` = '$user[id]' AND (`users_konts`.`type` IS NULL OR `users_konts`.`type` = 'common' OR `users_konts`.`type` = 'favorite') AND `mail`.`read` = '0'"),0);

$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='komm'>\n";
echo "Нет новых сообщений\n";
echo "  </td>\n";
echo "   </tr>\n";
}
else
{
$q=mysql_query("SELECT MAX(`mail`.`time`) AS `last_time`, COUNT(`mail`.`id`) AS `count`, `mail`.`id_user`, `users_konts`.`name` FROM `mail`
 LEFT JOIN `users_konts` ON `mail`.`id_user` = `users_konts`.`id_kont` AND `users_konts`.`id_user` = '$user[id]'
 WHERE `mail`.`id_kont` = '$user[id]' AND (`users_konts`.`type` IS NULL  OR `users_konts`.`type` = 'common' OR `users_konts`.`type` = 'favorite') AND `mail`.`read` = '0'
  GROUP BY `mail`.`id_user` ORDER BY `count` DESC LIMIT $start, $set[p_str]");
//echo mysql_error(),"<br />\n";
while ($kont = mysql_fetch_assoc($q))
{
$ank=get_user($kont['id_user']);
echo "   <tr>\n";
echo "  <td class='line'>\n";
onfoto($ank['id']);
echo "".online($ank['id'])." <a href='/mail.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">".($kont['name']?$kont['name']:$ank['nick'])."</span></a> <font color='red'>+$kont[count]</font><br/>\n";

echo "<font color='#827f7f'>".vremja($kont['last_time'])."</font><br />\n";
echo "  </td>\n";
echo "   </tr>\n";
}
}
echo "</table>\n";

if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
echo "<div class='royal'>\n";
echo "<img src='/style/img/kont.png' alt='' class='icon'/> <a href='/konts.php?$passgen'><font color='black'>Список контактов</font></a><br />\n";
echo "</div>\n";
include_once 'sys/inc/tfoot.php';
//Автор: Алексей & TeaM ICQ 95-95-466
//Скрипт: VKRUGUKENTOV.ru
//Копирование,продажа,перепродажа без согласия автора строго запрещена и будет караться плачевными последствиями
//Соблюдайте авторские права
?>